/* 
 * PVM++ - A C++ library for easy use of PVM
 * Copyright (C) 1997-2001 Sebastian Wilhelmi; University of Karlsruhe
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __PVM_TYPES_HH__
#define __PVM_TYPES_HH__

void PvmMyThrow (int Error, const char *File, int Line);
#define THROW(x) if (x < 0) PvmMyThrow (x, __FILE__, __LINE__)

/** type for the ID of a \Ref{PvmStruct}. */
typedef unsigned int PvmStructId;
typedef unsigned char PvmVarId;

class PvmBase;
class PvmHost;
class PvmCustom;
class PvmEmptyStruct;
class PvmHost;
class PvmHostEntry;
class PvmHostSet;
class PvmReceiveAction;
class PvmStruct;
class PvmStructSet;
class PvmTask;
class PvmTaskEntry;
class PvmTaskSet;

typedef void (*PvmHandlerFunc) (const class PvmStruct &,
				const class PvmTask &);

#endif /* __PVM_TYPES_HH__ */
